﻿using Newtonsoft.Json;
using Syncfusion.DocIO;
using Syncfusion.DocIO.DLS;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.IO;
using System.Windows.Forms;

namespace CreateWordSample
{
    partial class CreateWord : Form
    {
        /// <summary>
        /// Required designer variable.
        /// </summary>
        private System.ComponentModel.IContainer components = null;

        /// <summary>
        /// Clean up any resources being used.
        /// </summary>
        /// <param name="disposing">true if managed resources should be disposed; otherwise, false.</param>
        protected override void Dispose(bool disposing)
        {
            if (disposing && (components != null))
            {
                components.Dispose();
            }
            base.Dispose(disposing);
        }

        private Label label;
        private Button btnCreate;

        #region Windows Form Designer generated code

        /// <summary>
        /// Required method for Designer support - do not modify
        /// the contents of this method with the code editor.
        /// </summary>
        private void InitializeComponent()
        {
            label = new Label();
            btnCreate = new Button();

            //Label
            label.Location = new System.Drawing.Point(0, 40);
            label.Size = new System.Drawing.Size(426, 35);
            label.Text = "Click the button to view a Word document generated by Essential DocIO.";
            label.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;

            //Button
            btnCreate.Location = new System.Drawing.Point(180, 110);
            btnCreate.Size = new System.Drawing.Size(85, 36);
            btnCreate.Text = "Create Document";
            btnCreate.Click += new EventHandler(btnCreate_Click);

            //Create Word
            ClientSize = new System.Drawing.Size(450, 150);
            Controls.Add(label);
            Controls.Add(btnCreate);
            Text = "Essential DocIO";
        }
        #endregion

        private void btnCreate_Click(object sender, EventArgs e)
        {
            //Loads a source document
            WordDocument document = new WordDocument(@"..\..\Data\Adventure.docx");
            //Attaches the template document to the source document
            document.AttachedTemplate.Path = @"..\..\Data\TemplateWithNewStyle.docx";

            //Updates the styles of the document from the attached template each time the document is opened
            document.UpdateStylesOnOpen = true;

            //Saves and closes the document
            document.Save("Sample.docx", Syncfusion.DocIO.FormatType.Docx);
            document.Close();

            #region View the Workbook
            //Message box confirmation to view the document
            if (MessageBox.Show("Do you want to view the Word document?", "Word document has been created",
                MessageBoxButtons.YesNo, MessageBoxIcon.Information)
                == DialogResult.Yes)
            {
                try
                {
                    //Launching the file using the default Application.
                    System.Diagnostics.Process.Start("Sample.docx");

                    //Exit
                    Close();
                }
                catch (Win32Exception ex)
                {
                    Console.WriteLine(ex.ToString());
                }
            }
            else
                Close();
            #endregion
        }

        private void label_Click(object sender, EventArgs e)
        {

        }
    }
    
}

